<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: &lt;BLEDelegate&gt; Protocol Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="../../d1/dd1/protocolBLEDelegate-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;BLEDelegate&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for &lt;BLEDelegate&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d74/protocolBLEDelegate-p.png" usemap="#_3CBLEDelegate_3E_map" alt=""/>
  <map id="_3CBLEDelegate_3E_map" name="_3CBLEDelegate_3E_map">
<area href="../../d8/d7e/interfaceRCTBluetoothSerial.html" alt="RCTBluetoothSerial" shape="rect" coords="0,56,121,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a893f9b2dd7e306dbd998a0c8027e34cd"><td class="memItemLeft" align="right" valign="top"><a id="a893f9b2dd7e306dbd998a0c8027e34cd"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidConnect</b></td></tr>
<tr class="separator:a893f9b2dd7e306dbd998a0c8027e34cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfdf01a1bca7ea27189b6ba61c1e6b8e"><td class="memItemLeft" align="right" valign="top"><a id="adfdf01a1bca7ea27189b6ba61c1e6b8e"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidDisconnect</b></td></tr>
<tr class="separator:adfdf01a1bca7ea27189b6ba61c1e6b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210e8999d5e1d2b3adb6b7d2be6b05ed"><td class="memItemLeft" align="right" valign="top"><a id="a210e8999d5e1d2b3adb6b7d2be6b05ed"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidUpdateRSSI:</b></td></tr>
<tr class="separator:a210e8999d5e1d2b3adb6b7d2be6b05ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a492735994159e0a0e8f4a37077e6ffe4"><td class="memItemLeft" align="right" valign="top"><a id="a492735994159e0a0e8f4a37077e6ffe4"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidReceiveData:length:</b></td></tr>
<tr class="separator:a492735994159e0a0e8f4a37077e6ffe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af820b88bd74bac1c83b270d3a1527953"><td class="memItemLeft" align="right" valign="top"><a id="af820b88bd74bac1c83b270d3a1527953"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bleDidChangedState:</b></td></tr>
<tr class="separator:af820b88bd74bac1c83b270d3a1527953"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li>RCTBluetoothSerial/<a class="el" href="../../d9/dcc/BLE_8h_source.html">BLE.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
